define([
    'underscore',
    'backbone',
    'model/upload_file',
    'multi_upload_settings'
],
function(_, Backbone, UploadFile, MultiUploadSettings) {
    'use strict';
    var UploadFileCollection = Backbone.Collection.extend({
        model: UploadFile,
        comparator: function(file) {
            if(MultiUploadSettings.sort_files) {
                return file.attributes.name;
            }
            else if(file.attributes.index != null) {
                return file.attributes.index;
            }
            return file.cid;
        },
        cleanUp: function() {
            this.each(function(file) {
                file.cleanUp();
            });
        }
    });
    return UploadFileCollection;
});

