define(
    [
        'jquery',
        'underscore',
        'backbone',
        'text!tmpl/upload.html',
        'view/dialog_file_drop_view',
        'multi_upload_settings'
    ],
    function ($, _, Backbone, tmpl, DialogFileDropView, MultiUploadSettings) {
        'use strict';
        var DebugView = Backbone.View.extend({
            id: 'upload-file',
            className: 'upload-file dialog-screen',
            template: _.template(tmpl),
            events: {
                'click button.finish': 'cancel',
                'click button.upload': 'cancel',
                'click button.cancel': 'cancel'
            },
            initialize: function (options) {
                this.editField = 'text-field';
                Backbone.on('dialog:resize', this.resize, this);
            },
            render: function () {
                this.$el.append(this.template(this));
                this.dropView = new DialogFileDropView({ enabled: true, editField: 'text-field' });
                this.$el.find('.modal-body').append(this.dropView.$el);
                this.resize();
                return this;
            },
            resize: function() {
                iuu.log('debugView:resize');
                var height = $(window).height();
                if(this.$el.length) {
                    this.$el.height(height - 60);
                }
                // if(this.dropView) {
                //     this.dropView.resize();
                // }
            },
            close: function () {
                $(window).off('resize');
                $(document).off('dragover.upload_view drop.upload_view');
                Backbone.trigger('close:dialog');
                this.remove();
                return;
            },
            cancel: function () {
                this.close();
                return true;
            }
        });
        return DebugView;
    }
);